Pular para o conteúdo principal
POST
/
cl
/
transactions
/
inbound
Criar transação de entrada (Chile)
curl --request POST \
  --url https://hg.cash/api/v1/cl/transactions/inbound \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paymentMethodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "customer": {
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "jsmith@example.com",
    "personalId": "<string>",
    "ip": "<string>",
    "city": "<string>",
    "address": "<string>",
    "zip": "<string>",
    "phone": "<string>"
  },
  "description": "<string>",
  "webhookUrl": "<string>",
  "returnUrl": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "checkoutUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hg.cash/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

User API authentication token with format: cash_<64-char-hex>

Example: cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2

Corpo

application/json

Criar transação de entrada (checkout hospedado) para contas CLP no Chile

accountId
string<uuid>
obrigatório
paymentMethodId
string<uuid>
obrigatório

ID retornado por GET /cl/payment-methods

amount
obrigatório

Valor em CLP (ex. 100.50)

customer
object
obrigatório
description
string
webhookUrl
string<uri>
returnUrl
string<uri>
language
enum<string>
Opções disponíveis:
EN,
ES,
PT

Resposta

Transação criada

id
string<uuid>
obrigatório
checkoutUrl
string<uri>
obrigatório

URL de checkout hospedado para redirecionar o pagador

status
enum<string>
obrigatório
Opções disponíveis:
pending